Bug 523901 - Xorg crash produces no backtrace (after attempting xine streaming video)
Summary: Xorg crash produces no backtrace (after attempting xine streaming video)
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-server
Version: 11
Hardware: i586
OS: Linux
low
high
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-17 06:05 UTC by Christopher Beland
Modified: 2018-04-11 08:42 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-13 19:50:33 UTC


Attachments (Terms of Use)
GenerateASX2.asp as downloaded (1.10 KB, text/plain)
2009-09-17 06:05 UTC, Christopher Beland
no flags Details
Xorg.0.log.old (75.26 KB, text/plain)
2009-09-17 06:08 UTC, Christopher Beland
no flags Details

Description Christopher Beland 2009-09-17 06:05:17 UTC
Created attachment 361426 [details]
GenerateASX2.asp as downloaded

I downloaded the attached file GenerateASX2.asp from pulse87.com, and saved it to disk.  I ran "xine GenerateASX2.asp".  This failed for some reason, so I ran the command again.  It ran for a few seconds, generated audio output, and then the screen froze.  Ctrl-F2 did not work, so I could not get a text console.  After a few seconds of no disk activity and no change on the screen, I power cycled the machine.  I found the following in my system log:

Sep 17 01:17:42 diet-anarchy kernel: Xorg[1589]: segfault at 1 ip 009dc046 sp bfbdd1cc error 4 in libgcc_s-4.4.1-20090729.so.1[9bb000+2a000]
Sep 17 01:17:42 diet-anarchy kernel: [drm:i915_get_vblank_counter] *ERROR* trying to get vblank count for disabled pipe 0

The line "Backtrace:" printed at the end of Xorg.0.log.old, but no
backtrace printed.

Obviously the Xorg server should not crash no matter what input is fed
to it by xine.  I expect it is not possible to diagnose the crash
without a stack trace, but it might be reproducible.  If not, it would
be nice to have X's backtrace generation fixed so that future crashes
could be better diagnosed.  (I hope I didn't power-cycle the machine
too soon, but there was no visual indication anything was happening.)

Software version numbers:

kernel-2.6.30.5-43.fc11.i586
xorg-x11-server-Xorg-1.6.3-4.fc11.i586
xorg-x11-server-debuginfo-1.6.3-4.fc11.i586
libgcc-4.4.1-2.fc11.i586
gcc-debuginfo-4.4.1-2.fc11.i586

phonon-backend-xine-4.3.1-6.fc11.i586
xine-lib-1.1.16.3-2.fc11.i586
xine-lib-debuginfo-1.1.16.3-2.fc11.i586
xine-lib-extras-1.1.16.3-2.fc11.i586
xine-lib-extras-freeworld-1.1.16.3-1.fc11.i586
xine-lib-extras-freeworld-debuginfo-1.1.16.3-1.fc11.i586
xine-lib-pulseaudio-1.1.16.3-2.fc11.i586
xine-ui-0.99.5-16.fc11.i586
xine-ui-debuginfo-0.99.5-16.fc11.i586

xine-lib-extras-freeworld and xine-lib-extras-freeworld-debuginfo are
from RPMFusion.

Hardware:
http://www.smolts.org/client/show/pub_2337e56c-e356-4f5a-b603-410d1575b4af

No xorg.conf in use.

Comment 1 Christopher Beland 2009-09-17 06:08:13 UTC
Created attachment 361427 [details]
Xorg.0.log.old

Comment 2 seventhguardian 2009-10-17 20:06:38 UTC
It seems that the whole system crashed, hence the empty backtrace. Can you reproduce this, or was it a one-time oops?

If you can, then please try to sync the disks after the crash, to see if you get the backtrace. To be able to do this, you need to enable the SysRq key combinations: http://fedoraproject.org/wiki/QA/Sysrq

To enable SysRq temporarily:
$ echo "1" > /proc/sys/kernel/sysrq

Then once you get the crash, do Ctrl+Alt+SysRq+s to sync, and and Ctrl+Alt+SysRq+b to reboot.

Comment 3 Matěj Cepl 2009-11-05 18:38:06 UTC
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]

Comment 4 Christopher Beland 2009-11-05 23:46:18 UTC
I was unable to reproduce this crash, nor other crashes playing .mpg movies using Rawhide, specifically:

kernel-2.6.31.5-115.fc12.i686
xorg-x11-server-Xorg-1.7.1-6.fc12.i686
xine-lib-1.1.16.3-4.fc12.i686
xine-lib-extras-freeworld-1.1.16.3-2.fc12.i686
xine-ui-0.99.5-16.fc12.i686

Personally, I will just upgrade to F12 when it comes out, then.

Comment 5 Chris Campbell 2009-11-13 19:50:33 UTC
(In reply to comment #4)
> I was unable to reproduce this crash, nor other crashes playing .mpg movies
> using Rawhide, specifically:
> 
> kernel-2.6.31.5-115.fc12.i686
> xorg-x11-server-Xorg-1.7.1-6.fc12.i686
> xine-lib-1.1.16.3-4.fc12.i686
> xine-lib-extras-freeworld-1.1.16.3-2.fc12.i686
> xine-ui-0.99.5-16.fc12.i686
> 
> Personally, I will just upgrade to F12 when it comes out, then.  

Since the originating reporter states he has been unable to reproduce the issue, and had no other crashes since, setting this to CLOSED RAWHIDE although it should probably be NOTABUG. /shrug. Thank you for your initial report and willingness to attempt to reproduce the issue.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers


Note You need to log in before you can comment on or make changes to this bug.